Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring
Class AbstractXFireSpringTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.codehaus.xfire.test.AbstractXFireTest
                  org.codehaus.xfire.aegis.AbstractXFireAegisTest
                      org.codehaus.xfire.spring.AbstractXFireSpringTest

All Implemented Interfaces:
  junit.framework.Test

    public abstract class AbstractXFireSpringTest

extends AbstractXFireAegisTest

Provides test support for XFire spring web services. Simply supply your ApplicationContext by implementing the `createContext` method.

Author:
  Dan Diephouse

Constructor Summary
`AbstractXFireSpringTest()`

Method Summary
`protected abstract org.springframework.context.ApplicationContext` | `createContext()`
`protected java.lang.Object` | `getBean(java.lang.String id)`
`protected org.springframework.context.ApplicationContext` | `getContext()`
`ServiceFactory` | `getServiceFactory()`
`protected XFire` | `getXFire()`
`void` | `setUp()`

Methods inherited from class org.codehaus.xfire.test.AbstractXFireTest
`addNamespace, assertInvalid, assertNoFault, assertValid, assertXPathEquals, getBasedir, getResourceAsReader, getResourceAsStream, getServiceRegistry, getTestFile, getWSDL, getWSDLDocument, invokeService, printNode, readDocument, readDocument, setServiceFactory`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractXFireSpringTest

    public AbstractXFireSpringTest()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `AbstractXFireAegisTest`
  Throws:
    `java.lang.Exception`
  See Also:
    `TestCase.setUp()`

### createContext

    protected abstract org.springframework.context.ApplicationContext createContext()

### getContext

    protected org.springframework.context.ApplicationContext getContext()

### getServiceFactory

    public ServiceFactory getServiceFactory()

  Overrides:
    `getServiceFactory` in class `AbstractXFireTest`

### getXFire

    protected XFire getXFire()

  Overrides:
    `getXFire` in class `AbstractXFireTest`

### getBean

    protected java.lang.Object getBean(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.